:root{
  --primary-color: #B800FF;
  --secondary-color: #FF9900;
  --seconary-word: #D6D6D6;
  --Neutral-color: #F4F4F4;
  --Neutral-opacity-color: linear-gradient(to bottom, #f4f4f420, #f4f4f460);
  --Neutral-hover-bg: #f4f4f440;
  --hero-background: #1C1C1C;
  --nav-bg-color: #f4f4f420;
  --hero-bg-color: #2D013C;
  --glass-effect: saturate(180%) blur(10px);
  --nav-shadow: inset -2px 1px 1px #f4f4f460;
  --transition-medium: 0.3s cubic-bezier(0.4, 0, 0.2, 1);
  --noto-sans-tc: "Noto Sans TC", sans-serif;
  --roboto-sans: "Roboto", sans-serif;    
  --border-radius: 10px;
  --letter-space: 2px;
  --txt-center: center;
  /* === Font Sizes === */
  --fs-xs: 13px;  /* Extra Small - 註解、標籤 */
  --fs-sm: 14px;  /* Small - 說明文字 */
  --fs-md: 16px;  /* Medium - 一般內文 */
  --fs-lg: 24px;  /* Large - 小標題 */
  --fs-xl: 32px;  /* Extra Large - 主標題 */
  --fs-xxl: 48px; /* 2XL - Hero Banner / 超大標題 */

  /* === Font Weights === */
  --fw-light: 300;
  --fw-regular: 400;
  --fw-medinm: 600;
  /* === btn === */
  --btn-bg: linear-gradient(to right, #B800FF, #FF9900);
  --btn-padding: 8px 38px;
  --btn-sm-padding: 0 8px;
  --btn-border-radius: 10px 0 0 10px;

  /* === btn hover === */
  --btn-bg-hover: linear-gradient(to right, rgba(184, 0, 255, 0.9), rgba(255, 153, 0, 0.8));
  --btn-shadow-hover: 0 2px 4px rgba(0, 0, 0, .25);
}
/* slide animate */
.hero{
  margin-top: 91px;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--hero-bg-color);
}
.hero  .swiper {
  width: 100%;
  max-width: 400px;
  height: 580px;
}
.hero .swiper .swiper-slide {
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all .5s;
}
.hero .text, .detail .text, .information .text, .combination .text{
  padding: 0 64px;
}
.hero h1, .detail h1, .combination h1{
  margin-bottom: 16px;
}
.hero .swiper-slide img{
  margin-left: 20px;
  position: relative;
}


/* social */

.social .card{
  width: 80%;
  max-width: 400px;
  min-height: 250px;
  border-radius: var(--border-radius);
  padding: 12px;
  background: var(--Neutral-opacity-color);
  background-position: center;
  background-size: cover;
  cursor: pointer;
  transition:var(--transition-medium);
}
.social .card:before{
  content: "";
  position: absolute;
  inset: 0;
  opacity: 0.3;
  z-index: -1;
}
.social .card:hover{
  background-color: var(--Neutral-hover-bg);
  box-shadow: var(--btn-shadow-hover);
  transform: translateY(-3px);
  border: 1px solid var(--Neutral-color);
}
.social .title-body{
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 8px;
}
.social .title-body.name{
  display: flex;
  align-items: center;  
}
.social .name img{
  width: 32px;
  height: 32px;
  border-radius: 50%;
  margin-right: 8px;
}
.social span{
  line-height: 2;  
  font-size: var(--fs-xs);
}
.social .star{
  display: flex;
}
.social .star img{
  width: 16px;
  height: 16px;
}
.social .comments{
  min-height: 60px;  
  font-size: var(--fs-sm);     
  display: -webkit-box;
  -webkit-line-clamp: 3; 
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.social span, .social .comments{
  font-family: var(--noto-sans-tc);
  font-weight: var(--fw-regular);
}
.social .swiper{
  padding: 24px 0;
}
.social .swiper-slide{
  display: flex;
  justify-content: center;
  align-items: center;
}
.detail .swiper{
  min-height: 270px;
}
.detail .swiper-slide{
  display: flex;
  flex-direction: column;

}
.detail img{
  width: 100%;
  max-width: 360px;  
}
.detail .swiper-slide, .look-more .swiper-slide{
  text-align: center;
  margin: 40px 0;
}

/* combination */
.combination{
  background: url(/image//bg.jpeg);
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-color: rgba(0, 0, 0, 0.6);
  background-blend-mode: multiply; 
}
.combination h1{
  font-size: var(--fs-lg);
}

@media screen and (min-width: 767px){
  .combination .combination-container{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .combination-container img{
    max-width: 315px; 
  }
  .combination .text{
    padding: 16px;
  }
  .combination h1{
    font-size: var(--fs-xl);
  }
}

.information .text{
  display: flex;
}
.information .text ul{
  display: inline-block;
  margin-left: auto;
  margin-right: auto;
  max-width: 1280px;
  text-align: left;
  column: auto;
}
.information li{
  padding: 8px 0;
  font-family: var(--noto-sans-tc);
  font-weight: var(--fw-regular);
  font-size: var(--fs-md)
}
.look-more .swiper-slide img{
  width: 174px;
}
.look-more .swiper {
  position: relative;
  padding-bottom: 60px;
}
.look-more .swiper-pagination {
  position: absolute;
  bottom: 0px;
}
